﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> {{headerText}}</div>
        <div class="right sliding">
            <a ng-click="GoToHome()" class="link icon-only">
                <i class="ionicons ion-home"></i>
            </a>
            <a ng-click="GoToNotifications()" class="link icon-only p-0 spanNotifications" ng-hide="IsVisitor">
                <i id="addAdvertisementNotificationsLoaded" class="ionicons ion-android-notifications-none">
                    <span ng-hide="$parent.$parent.notifyClick" ng-if="NewNotificationsNumber>0" class="badge">{{NewNotificationsNumber}}</span>
                </i>
                <img id="addAdvertisementNotificationsNotLoaded" ng-src="img/puff-White.svg" ng-hide="IsVisitor" />
            </a>
            <a ng-click="GoToSearch()" class="link icon-only">
                <i class="ionicons ion-android-search"></i>
            </a>
        </div>
    </div>
</div>
<div class="page-content">
    <div class="content-block">
        <div class="list-block p-0">
            <div class="m-auto">
                <form name="$parent.AddAdvertisementForm" ng-submit="submitAddAdvertisementForm($parent.AddAdvertisementForm)" novalidate>
                    <ul>
                        <li>
                            <div class="item-content" ng-class="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.title.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="title" class="form-control" type="text" placeholder="عنوان الإعلان" ng-model="addAdvertisementForm.title" required>
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.title.$error.required" class="error-block">يجب إدخال عنوان الإعلان</p>
                            <p ng-show="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.title.$error.minlength" class="error-block"></p>
                            <p ng-show="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.title.$error.pattern" class="error-block"></p>
                        </li>
                        <li>
                            <a id="linkAddAdvertisementCity" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                                <select name="city" required>
                                    <option ng-disabled="true" value="">المدينة</option>
                                </select>
                                <div class="item-content" ng-class="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.city.$invalid?'has-error':'no-error'">
                                    <div class="item-inner">
                                        <div id="divItemAfterUserCity" class="item-after smart-select-value"></div>
                                    </div>
                                </div>
                                <p ng-show="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.city.$error.required" class="error-block">يجب إدخال المدينة</p>
                            </a>
                        </li>
                        <li>
                            <a id="linkAddAdvertisementCategory" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                                <select name="category" required>
                                    <option ng-disabled="true" value="">التصنيف</option>
                                </select>
                                <div class="item-content" ng-class="submittedaddAdvertisement && addAdvertisementReset && !IsCategoryEntered ?'has-error':'no-error'">
                                    <div class="item-inner">
                                        <div id="divItemAfterUserCategory" class="item-after smart-select-value"></div>
                                    </div>
                                </div>
                                <p ng-show="submittedaddAdvertisement && addAdvertisementReset && !IsCategoryEntered" class="error-block">يجب إدخال التصنيف</p>
                            </a>
                        </li>
                        <li>
                            <div ng-click="$parent.openMap()"  class="item-content" ng-class="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.address.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input disabled name="address" class="form-control" type="text" placeholder="عنوانك(اختياري)" ng-model="$parent.address">
                                    </div>
                                </div>
                                <div   class="item-media" style=" margin-bottom: 0;
    margin-left: 1px;
    margin-top: 1px;
    background: #e6e6e6;
    color: #fff;
    border-radius: 20px;
    width: 38px;
    height: 38px;">
                                    <i class="ionicons ion-android-pin" style="color:#fff"></i>
                                </div>
                            </div>
                            <p ng-show="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.address.$error.required" class="error-block">يجب ادخال عنوانك</p>

                        </li>
                        <li>
                            <div class="item-content b-10" ng-class="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.description.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div class="item-input">
                                        <textarea name="description" placeholder="تفاصيل الإعلان" ng-model="addAdvertisementForm.description" required></textarea>
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.description.$error.required" class="error-block">يجب إدخال تفاصيل الإعلان</p>
                            <p ng-show="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.description.$error.minlength" class="error-block"></p>
                            <p ng-show="submittedaddAdvertisement && addAdvertisementReset && $parent.AddAdvertisementForm.description.$error.pattern" class="error-block"></p>
                        </li>

                        <li>
                            <div class="row">
                                <!--<div class="col-50 tablet-75">
                                    <h4 class="novalidate">صورة الإعلان الرئيسية</h4>
                                    <div ng-submit="false" ng-click="UploadFinalImages()" class="button button-fill button-rounded w-90">رفع</div>
                                </div>-->
                                <!--<div class="imgEdit col-33 tablet-15" ng-click="AddAdvertisementMainImage()">
                                    <label>
                                        <div class="overlayAdvertisementProgress" ng-if="advertisementMainImage.loading" style="width:{{advertisementMainImage.progress}}%;"></div>
                                        <span class="spanAdvertisementOverlay" ng-if="advertisementMainImage.loading">{{advertisementMainImage.progress}}%</span>
                                        <img name="imgAdvMainImage" image-loader="{{advertisementMainImage.baseString | generateURL}}" loader="img/puff.svg" place-holder="img/image.png" required />
                                    </label>
                                </div>-->
                                <div id="addDisableImage{{$index}}" class="{{currentIndex>=$index?'':'disabledImage'}} imgEdit col-33 tablet-15" ng-click="AddAdvertisementImage(image,$index)" ng-repeat="image in advertisementImages">
                                    <label>
                                        <div class="overlayAdvertisementProgress" ng-if="image.loading" style="width:{{image.progress}}%;"></div>
                                        <span class="spanAdvertisementOverlay" ng-if="image.loading">{{image.progress}}%</span>
                                        <img name="imgAdv" image-loader="{{image.baseString | generateURL}}" loader="img/puff.svg" place-holder="img/image.png" required />
                                    </label>
                                </div>
                            </div>
                        </li>
                        <li ng-show="showPhone">
                            <label class="label-checkbox item-content">
                                <input id="showMobile" type="checkbox" name="chk1" />
                                <!--<div class="item-media" ng-click="TermsAccepted(isAdvertisementChecked)">-->
                                <div class="item-media">
                                    <i class="icon icon-form-checkbox"></i>
                                </div>
                                <div class="item-inner" ng-click="GoToTerms()">
                                    <a ng-submit="false"><div class="item-title">  <span class="rulesColor">هل تريد ظهور رقم الجوال</span></div></a>
                                </div>
                            </label>
                        </li>

                        <li>
                            <label id="lblAdvertisement" class="label-checkbox item-content">
                                <input id="chkAdvertisement" type="checkbox" name="chk1" />
                                <!--<div class="item-media" ng-click="TermsAccepted(isAdvertisementChecked)">-->
                                <div class="item-media">
                                    <i class="icon icon-form-checkbox"></i>
                                </div>
                                <div class="item-inner" ng-click="GoToTerms()">
                                    <a ng-submit="false" ng-click="GoToTerms()"><div class="item-title"> موافقة على <span class="rulesColor">الشروط والأحكام</span></div></a>
                                </div>
                            </label>

                        </li>


                    </ul>
                    <button type="submit" class="button button-fill button-rounded centered-100 m-auto" ng-click="submittedaddAdvertisement=true" ng-show="isAdvertisementChecked">{{buttonText}}</button>
                </form>
            </div>
        </div>

    </div>
</div>